Page MenuHomePhabricator

setup/install gerrit1001
Closed, ResolvedPublic0 Story Points

Description

This task will track the setup of spare pool system wmf5176 for gerrit1001 use (replacing cobalt) in eqiad. It was allocated via procurement task T222984.

  • - create sub-task for on-site labeling of system
  • - update netbox hostname
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, public vlan)
    • end on-site specific steps
  • - production dns entries added (public vlan, also needs ipv6)
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged
  • - handoff for service implementation
  • - service implementer changes from 'staged' status to 'active' status in netbox'

Details

Related Gerrit Patches:
operations/puppet : productiongerrit::migration: ensure data dir exists and is configurable
operations/puppet : productiongerrit1001: allow rsyncing Gerrit data from cobalt
operations/puppet : productionremoving ipv6 call while role spare
operations/puppet : productiongerrit1001 base install params
operations/dns : masteradding gerrit1001 production dns entries
operations/dns : masterupdating gerrit1001 mgmt dns

Event Timeline

RobH triaged this task as Medium priority.Aug 22 2019, 9:46 PM
RobH created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2019, 9:46 PM
RobH added a parent task: Unknown Object (Task).Aug 22 2019, 9:46 PM
RobH updated the task description. (Show Details)
RobH updated the task description. (Show Details)Aug 22 2019, 9:49 PM

Change 531751 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] updating gerrit1001 mgmt dns

https://gerrit.wikimedia.org/r/531751

Change 531751 merged by RobH:
[operations/dns@master] updating gerrit1001 mgmt dns

https://gerrit.wikimedia.org/r/531751

Change 531757 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] adding gerrit1001 production dns entries

https://gerrit.wikimedia.org/r/531757

Change 531757 merged by RobH:
[operations/dns@master] adding gerrit1001 production dns entries

https://gerrit.wikimedia.org/r/531757

RobH updated the task description. (Show Details)

Change 531760 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] gerrit1001 base install params

https://gerrit.wikimedia.org/r/531760

Change 531760 merged by RobH:
[operations/puppet@production] gerrit1001 base install params

https://gerrit.wikimedia.org/r/531760

RobH updated the task description. (Show Details)Aug 22 2019, 10:54 PM

Change 531762 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] removing ipv6 call while role spare

https://gerrit.wikimedia.org/r/531762

Change 531762 merged by RobH:
[operations/puppet@production] removing ipv6 call while role spare

https://gerrit.wikimedia.org/r/531762

RobH reassigned this task from RobH to Dzahn.Aug 22 2019, 11:32 PM
RobH updated the task description. (Show Details)

@Dzahn,

I think you are the person to push this into service, being the author of the original hardware request. If not you, please advise if you know who should get this, and if not sure, assign back to me for followup.

Thanks!

Dzahn added a comment.Aug 27 2019, 1:29 PM

Thanks @RobH it was right to assign this to me directly. I'll do that.

Paladox added a subscriber: Paladox.
Paladox moved this task from Bugs & stuff to Local hacks on the Gerrit board.Sep 11 2019, 10:07 PM

The additional steps needed before this can be switched to active are tracked in the parent task T222391.

Script wmf-auto-reimage was launched by dzahn on cumin1001.eqiad.wmnet for hosts:

gerrit1001.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201909192308_dzahn_39474_gerrit1001_wikimedia_org.log.

Completed auto-reimage of hosts:

['gerrit1001.wikimedia.org']

and were ALL successful.

Dzahn added a subtask: Restricted Task.Sep 24 2019, 10:47 PM

Change 540190 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] gerrit1001: allow rsyncing Gerrit data from cobalt

https://gerrit.wikimedia.org/r/540190

Change 540190 merged by Dzahn:
[operations/puppet@production] gerrit1001: allow rsyncing Gerrit data from cobalt

https://gerrit.wikimedia.org/r/540190

Change 540203 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] gerrit::migration: ensure data dir exists and is configurable

https://gerrit.wikimedia.org/r/540203

Change 540203 merged by Dzahn:
[operations/puppet@production] gerrit::migration: ensure data dir exists and is configurable

https://gerrit.wikimedia.org/r/540203

Dzahn updated the task description. (Show Details)Oct 1 2019, 10:42 PM

There were/are a bunch of changes in a common topic branch not linked to this ticket that were needed:

https://gerrit.wikimedia.org/r/q/topic:%22gerrit1001%22+(status:open%20OR%20status:merged)

I just closed the last checkbox here as gerrit1001 is now not a spare::system role anymore but switched to a Gerrit migration role.

There is more work to actually migrate prod Gerrit to it but that will now continue on T222391.

Dzahn closed this task as Resolved.Oct 1 2019, 10:44 PM